import { BehaviorSubject } from 'rxjs';
import { MapState, IMapState } from './types/map-state';
import { TGeoExtent } from '@dlr-eoc/services-layers';
import * as i0 from "@angular/core";
export declare class MapStateService {
    private mapState;
    private lastAction;
    constructor();
    getMapState(): BehaviorSubject<MapState>;
    setMapState(state: MapState | IMapState): void;
    getExtent(): import("rxjs").Observable<import("./types/map-state").TGeoExtent>;
    setExtent(extent: TGeoExtent, notifier?: IMapState['options']['notifier']): void;
    setTime(time: Date | string, notifier?: IMapState['options']['notifier']): void;
    /**
     * @param angle
     * This is not available for OpenLayers (only rotation)
     *
     * For Maplibre the default is from 0 to 60. Can be increasd with setMaxPitch (0-85). Values greater than 60 degrees are experimental and may result in rendering issues.
     *
     * For Cesium values greater than 90, is like looking from the ground up to the sky. Values greater than 180 also rotate the globe.
     */
    setViewAngle(angle: number, notifier?: IMapState['options']['notifier']): void;
    setRotation(rotation: number, notifier?: IMapState['options']['notifier']): void;
    getLastAction(): BehaviorSubject<"setExtent" | "setState" | "setRotation" | "setAngle" | "setTime">;
    static ɵfac: i0.ɵɵFactoryDeclaration<MapStateService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<MapStateService>;
}
