export interface IMapCenter {
    lat: number;
    lon: number;
}
export interface IMapStateOptions {
    maxzoom?: number;
    minzoom?: number;
    notifier?: 'user' | 'map';
}
export interface IMapState {
    zoom: number;
    center: IMapCenter;
    options?: IMapStateOptions;
    extent?: TGeoExtent;
    /** iso 8601 Datestring */
    time?: string;
    /** from nadir in degrees */
    viewAngle?: number;
    /** from north in degrees */
    rotation?: number;
}
/**
 * like ol.extent: minX, minY, maxX, maxY
 */
export type TGeoExtent = [number, number, number, number] | [number, number, number, number, number, number];
export declare class MapState implements IMapState {
    zoom: number;
    center: {
        lat: number;
        lon: number;
    };
    options: IMapStateOptions;
    extent: TGeoExtent;
    /** iso 8601 Datestring */
    time: string;
    /** from nadir in degrees */
    viewAngle: number;
    /** from north in degrees */
    rotation: number;
    constructor(zoom: number, center: IMapCenter, options?: IMapStateOptions, extent?: TGeoExtent, time?: string, viewAngle?: number, rotation?: number);
    sameCenter(center: IMapState['center']): boolean;
    sameZoom(zoom: IMapState['zoom']): boolean;
    sameExtent(extent: TGeoExtent): boolean;
    sameNotifier(notifier: IMapState['options']['notifier']): boolean;
}
